/* Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

import java.util.List;

/**
 * The BUNDU implementation of an Artifact.
 *
 * @author Gernot Belger
 */
public class BUNDUArtifact extends AbstractFixBunduArtifact {

    /** The name of this artifact: 'bundu'. */
    private static final String NAME = "bundu";

    public BUNDUArtifact() {
        super();
    }

    public BUNDUArtifact(final String uuid, final String hash) {
        super(uuid, hash);
    }

    public BUNDUArtifact(final String uuid, final String hash, final boolean background, final List<CalculationMessage> msg) {
        super(uuid, hash, background, msg);
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    protected String getEventstateId() {

        return "state.bundu.eventselect"; // mit bundu.xml im server synchron halten :-(
    }
}